package com.edw.main;

import com.edw.facade.ConnectionFacadeRemote;
import java.util.Properties;
import java.util.logging.Logger;
import javax.naming.Context;
import javax.naming.InitialContext;
import javax.swing.JOptionPane;

public class Main {

  //  private static final Logger logger = Logger.getLogger(Main.class);
    
    private void connect() {
        try{
            Properties props = new Properties();
            props.put(Context.INITIAL_CONTEXT_FACTORY, "com.sun.enterprise.naming.SerialInitContextFactory");
            props.setProperty("org.omg.CORBA.ORBInitialHost", "localhost");
            props.setProperty("org.omg.CORBA.ORBInitialPort", "3700");
            
            InitialContext ctx = new InitialContext(props);
            ConnectionFacadeRemote connectionFacadeRemote = (ConnectionFacadeRemote) ctx.lookup("com.edw.facade.ConnectionFacadeRemote");
         //   logger.debug(connectionFacadeRemote.sayHello("edwin ")); 
          //  logger.debug("my age is " + connectionFacadeRemote.sayAge(12) + " years");
            
            String messaggio= connectionFacadeRemote.sayHello("edwin ")+"\n"+"my age is " + connectionFacadeRemote.sayAge(12) + " years";
        JOptionPane.showMessageDialog(null,messaggio);
      
         
        }catch(Exception ex){
          //  logger.error(ex,ex);
             JOptionPane.showMessageDialog(null,ex.toString());
        }
    }

    public static void main(String[] args) {
        Main tejbc = new Main();
        tejbc.connect();
    }
}