/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package mauro.test;

import com.edw.facade.ConnectionFacadeRemote;
import java.io.IOException;
import java.io.PrintWriter;
import java.util.Properties;
import javax.naming.InitialContext;
import javax.naming.NamingException;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import com.edw.facade.ConnectionFacadeRemote;
/**
 *
 * @author mauro
 */
public class Test1Remote extends HttpServlet {
    
    private InitialContext getInitialContext() throws NamingException {
        Properties env = new Properties();
        env.put("java.naming.factory.initial", "com.sun.enterprise.naming.SerialInitContextFactory");
        env.put("java.naming.factory.url.pkgs", "com.sun.enterprise.naming");
        env.put("java.naming.factory.state", "com.sun.corba.ee.impl.presentation.rmi.JNDIStateFactoryImpl");
        env.put("org.omg.CORBA.ORBInitialHost", "localhost");
        env.put("org.omg.CORBA.ORBInitialPort", "3700");
        env.put("com.sun.corba.ee.ORBVAAHost", "localhost");
        env.put("com.sun.corba.ee.ORBVAAPort", "3700");
        env.put("com.sun.corba.ee.ORBUserConfigurators.com.sun.corba.ee.impl.plugin.hwlb.VirtualAddressAgentImpl", "dummy");

        InitialContext ic = new InitialContext(env);
//Object objref = ic.lookup("java:comp/env/ejb/SomeRemoteEJB");
        return ic;
    }
    

    /**
     * Processes requests for both HTTP
     * <code>GET</code> and
     * <code>POST</code> methods.
     *
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    protected void processRequest(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        response.setContentType("text/html;charset=UTF-8");
        PrintWriter out = response.getWriter();
        try {
            InitialContext icx= this.getInitialContext();
        ConnectionFacadeRemote connectionFacadeRemote=(ConnectionFacadeRemote) icx.lookup("com.edw.facade.ConnectionFacadeRemote");
         String messaggio= connectionFacadeRemote.sayHello("edwin ")+"\n"+"my age is " + connectionFacadeRemote.sayAge(12) + " years";
            /* TODO output your page here. You may use following sample code. */
            out.println("<html>");
            out.println("<head>");
            out.println("<title>Servlet Test1Remote</title>");            
            out.println("</head>");
            out.println("<body>");
            out.println("<h1>Servlet Test1Remote at " + request.getContextPath() + "</h1>");
             out.println(messaggio);
            out.println("</body>");
            out.println("</html>");
        } catch(Exception ex){
        
        ex.printStackTrace(out);
        }finally {            
            out.close();
        }
    }

    // <editor-fold defaultstate="collapsed" desc="HttpServlet methods. Click on the + sign on the left to edit the code.">
    /**
     * Handles the HTTP
     * <code>GET</code> method.
     *
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        processRequest(request, response);
    }

    /**
     * Handles the HTTP
     * <code>POST</code> method.
     *
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        processRequest(request, response);
    }

    /**
     * Returns a short description of the servlet.
     *
     * @return a String containing servlet description
     */
    @Override
    public String getServletInfo() {
        return "Short description";
    }// </editor-fold>
}
